<!--
    Thank you for your contribution to Aya! 🎉

    For Work In Progress Pull Requests, please use the Draft PR feature.

    Before submitting a Pull Request, please ensure you've done the following:
     - 📖 Read the Aya Contributing Guide: https://github.com/aya-rs/aya/blob/main/CONTRIBUTING.md
     - 📖 Read the Aya Code of Conduct: https://github.com/aya-rs/aya/blob/main/CODE_OF_CONDUCT.md
     - 👷‍♀️ Create small PRs. In most cases this will be possible.
     - ✅ Provide tests for your changes.
     - 📝 Use descriptive commit messages: https://cbea.ms/git-commit/
     - 📗 Update any related documentation.

-->

# Summary
<!---
      Summarize the changes you're making here.
      Detailed information belongs in the Git Commit messages.
      Feel free to flag anything you thing needs a reviewers attention.
-->

# Related Issues
<!--
For example:

- Closes: #1234
- Relates To: #1234
-->

# Added/updated tests?

_We strongly encourage you to add a test for your changes._

- [ ] Yes
- [ ] No, and this is why: _please replace this line with details on why tests
      have not been included_
- [ ] I need help with writing tests

# Checklist

- [ ] Rust code has been formatted with `cargo +nightly fmt`
- [ ] All clippy lints have been fixed.
      You can find failing lints with `./clippy.sh`
- [ ] Unit tests are passing locally with `cargo test`
- [ ] Integration tests are passing locally

# (Optional) What GIF best describes this PR or how it makes you feel?
